#include "TestMainWindow.h"
#include "ui_TestMainWindow.h"
#include "qmlcontainerwindow.h"

#include <QQmlEngine>

TestMainWindow::TestMainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::TestMainWindow)
{
    ui->setupUi(this);

    connect(ui->launchQmlWindowButton, &QPushButton::clicked, this, &TestMainWindow::launchQmlWindow);
}

TestMainWindow::~TestMainWindow()
{
    delete ui;
}

void TestMainWindow::launchQmlWindow()
{
    auto qmlWindow = new QmlContainerWindow(this);
    qmlWindow->show();
}


