#include "qmlcontainerwindow.h"
#include "ui_qmlcontainerwindow.h"

#include <QQmlEngine>
#include <QQmlComponent>
#include <QQuickWindow>
#include <QWindow>

QmlContainerWindow::QmlContainerWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::QmlContainerWindow),
    m_engine(new QQmlEngine(this)),
    m_component(new QQmlComponent(m_engine, this))
{
    ui->setupUi(this);

    m_component->loadUrl(QUrl("qrc:/main.qml"));
    m_window = qobject_cast<QQuickWindow*>(m_component->create());
    m_containerWidget = QWidget::createWindowContainer(m_window);
    setCentralWidget(m_containerWidget);
}

QmlContainerWindow::~QmlContainerWindow()
{
    delete ui;
}

