#ifndef QMLCONTAINERWINDOW_H
#define QMLCONTAINERWINDOW_H

#include <QMainWindow>

class QQmlComponent;
class QQmlEngine;
class QWindow;

namespace Ui {
class QmlContainerWindow;
}

class QmlContainerWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit QmlContainerWindow(QWidget *parent = 0);
    ~QmlContainerWindow();

private:
    Ui::QmlContainerWindow *ui;

    QQmlEngine* m_engine;
    QQmlComponent* m_component;
    QWindow* m_window;
    QWidget* m_containerWidget;
};

#endif // QMLCONTAINERWINDOW_H
